clc; close all;
clear variables;

Grad = ???; %[T/mm]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% NEMENIT
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
t1 = 1;
t2 = .2;
Tpulse = 1e-5;
Trelax = .01;
b1 = [zeros(1,50) sinc(-pi:pi/25:pi) zeros(1,50) zeros(1,100)];
t = [ones(1,151)*Tpulse ones(1,100)*Trelax];
tP  = Tpulse*(0:150);
tP  = [tP (max(tP)+0.00001+(1:100)*Trelax)];
g  = Grad*[ones(1,151) zeros(1,100)]*42.58e4/4;

b1 = pi/2*b1/max(b1)/2.24;

pulseL = 151;
pulseLH = floor(pulseL/2);
figure;
subplot(121);plot(tP(1:pulseL)*1e3,b1(1:pulseL)); grid on;
title('Excitacni puls - casova oblast');ylabel('amplituda');xlabel('cas [ms]');

b1Frekv = fft(b1(1:pulseL));
fpulse = 1/(pulseL*Tpulse) .* [(-pulseLH-1):(pulseLH-1)];
subplot(122); plot(fpulse/1e3, (abs(b1Frekv([(pulseLH+1):pulseL 1:(pulseLH)]))) ./ max(abs(b1Frekv(1:pulseLH)))); hold on; grid on;
title('Excitacni pulse - frekvencni oblast'); xlabel('frekvence [kHz]');
ylabel('norm(abs(FFT))');


dp = [-.5:.01:.5]';
sizeP = size(dp,1);
zeroP = find(dp==0);
zMag = ones(sizeP,1);
[mx,my,mz] = bloch(b1,g,t,t1,t2,0,dp,2,zeros(sizeP,1),zeros(sizeP,1),zMag); 
mxy=mx+i*my;
figure(3);imagesc(dp*10,tP*1e3,squeeze(abs(mxy(:,:,1))));
xlabel('Poloha [mm]'); ylabel('Cas [ms]'); title('X-ova magnetizace v case a posunuti x');

